Articles of затмение

Phonegap – заставка для Android-приложения

Может кто-нибудь, пожалуйста, сообщите, как я могу добавить заставку в свое приложение Android для Android на основе HTML5 Phonegap. Я просто хочу, чтобы он отображался в течение 5 секунд при загрузке. Также – может кто-нибудь сообщить, какие размеры должен быть заставки.

Исключение, возникающее при рендеринге: java.lang.System.arraycopy

У меня странная проблема с новой версией ADT. Я загрузил новое Eclipse с eclipse.org, затем я устанавливаю ADT на нем. Все работает нормально; Я могу создать проект для Android, и все будет хорошо работать, за исключением: При попытке создать один xml-макет, я получаю следующую ошибку: Exception raised during rendering: java.lang.System.arraycopy И в журнале ошибок я […]

Структура проекта Android Studio (vs Eclipse Project Structure)

Я пытаюсь изучить развитие Android, и меня изначально путают разные структуры проекта между Eclipse и Android Studio. Это затрудняет выполнение руководств, разработанных для Eclipse. Может ли кто-нибудь сообщить мне, почему эти различия существуют? Должны ли они существовать? Например, если я должен найти файл R.java в двух разных IDE, пути будут выглядеть так: Eclipse: app \ […]

Android Studio vs Eclipse + ADT Plugin?

Я хотел бы получить объективные ответы на этот вопрос: Почему я должен использовать Android Studio, сталкиваться с проблемами и сложными задачами, например, импортировать библиотеки, разработанные для Eclipse, меньше поддерживая ошибку, с которой я могу столкнуться, … а не продолжать использовать Eclipse? Каковы реальные преимущества Android Studio vs Eclipse?

Что лучше: @SuppressLint или @TargetApi?

У меня есть проблемы в моем приложении относительно StrictMode и добавлен фрагмент кода, который в основном отключает StrictModeHelper . Тем не менее, Lint жалуется на setThreadPolicy() сейчас и предлагает либо добавить @SuppressLint 'NewApi' или @TargetApi(Build.VERSION_CODES.GINGERBREAD) К onCreate() представления. Какой метод предпочтительнее .. или они в основном делают то же самое?

Java.lang.IllegalArgumentException: AppCompat не поддерживает текущие функции темы

Я попытался перенести проект из Eclipse в студию Android. Наконец, я могу запустить его, но в определенный момент я получил это исключение, и я ничего не нашел в Google об этом: 04-22 00:08:15.484 9891-9891/hu.illion.kwindoo E/AndroidRuntime﹕ FATAL EXCEPTION: main java.lang.RuntimeException: Unable to start activity ComponentInfo{hu.illion.kwindoo/hu.illion.kwindoo.activity.MainActivity}: java.lang.IllegalArgumentException: AppCompat does not support the current theme features at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2092) […]

Ошибка Загрузка sdk при запуске eclipse

Я уже читал разные ответы на вышеупомянутый вопрос, но у меня есть конкретная проблема. Когда я запускаю eclipse он дает error : Анализ ошибок: C: \ android-sdk_r24.2-windows \ android-sdk-windows \ system-images \ android-22 \ android-wear \ armeabi-v7a cvc-complex-type.2.4.d: Неверный контент был найден, начиная С элементом 'd: skin'. На данный момент не ожидается никакого дочернего элемента. […]

Ошибка Admob в Eclipse для android: configChanges

Eclipse дает мне ошибку на строке android: configChanges в моем AndroidManifest.xml: <activity android:name="com.google.ads.AdActivity" android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"></activity> Ошибка: error: Error: String types not allowed (at 'configChanges' with value 'keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize'). Если я оставляю только keyboard|keyboardHidden|orientation , нет ошибки, но компилятор просит 4 оставшихся при попытке и сборке. Я использую GoogleAdMobAdsSDK-4.3.1 . Есть идеи? EDIT: я получил его работу, изменив […]

Типичный файл .gitignore для Android-приложения

Просто поставьте проект Android под управлением git ( beanstalk ) через командную строку ( mac terminal ). Следующий шаг – настроить исключения. Тем из вас, кто уже был на этом пути: Каким должен быть типичный файл .gitignore для проекта Android? Проект, созданный в Eclipse

AVD Manager – не удается создать виртуальное устройство Android

Вчера я только что установил плагин Android Eclipse и Android SDK от Google. Я открываю окно AVD Manager, перейдя в Window -> Android Virtual Device Manager . Затем я нажимаю «Создать» и появляется окно «Создать новое виртуальное устройство Android (AVD)». Проблема в том, что я не могу получить кнопку «ОК», чтобы не быть серым. Я […]